%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:        fwfstab
Version:     0.04
Release:     0.2.rc1%{?dist}
BuildArch:   noarch
Summary:     A graphical file system table editor

Group:       Applications/System
License:     GPLv2+
URL:         http://www.diffingo.com/content/view/32/45/lang,en/
Source0:     http://downloads.diffingo.com/fwfstab/fwfstab-%{version}rc1.tar.gz
BuildRoot:   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:   desktop-file-utils
BuildRequires:   python-devel >= 2.4
BuildRequires:   gettext
BuildRequires:   intltool, automake
Requires:        python >= 2.4
Requires:        pygtk2 pygtk2-libglade
Requires:        usermode
Requires:        pyparted

%description
%{name} is a graphical file system table (fstab) editor, used to edit the 
/etc/fstab file. It lets users add, edit or remove new entries in a simple,
straight-forward way. It is meant to make the task of editing the file system
table easier without sacrificing flexibility.

%prep
%setup -q -n %{name}-%{version}rc1

%build
%configure
# We don't implement this yet
# make %{?_smp_mflags}
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor fedora\
    --dir ${RPM_BUILD_ROOT}%{_datadir}/applications\
    --delete-original \
    $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README TODO
%dir %{_datadir}/%{name}
%dir %{python_sitelib}/%{name}
%{_bindir}/%{name}
%{_sbindir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/pixmaps/%{name}.svg
%{_datadir}/applications/fedora-*.desktop
%{python_sitelib}/%{name}/*
%config(noreplace) %{_sysconfdir}/security/console.apps/%{name}
%config(noreplace) %{_sysconfdir}/pam.d/%{name}

%changelog
* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.04-0.2.rc1
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Apr 18 2010 Stewart Adam <s.adam at diffingo.com> - 0.04-0.1.20100418git
- Update to git 20100418 (0.04 pre-release)
- Remove kudzu dependency

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.03-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.03-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.03-3
- Rebuild for Python 2.6

* Fri Apr 04 2008 Stewart Adam <s.adam AT diffingo DOT com> 0.03-2
- BR intltool, automake

* Fri Apr 04 2008 Stewart Adam <s.adam AT diffingo DOT com> 0.03-1
- Update to 0.03

* Sun Oct 21 2007 Stewart Adam <s.adam AT diffingo DOT com> 0.02-2
- Add pyparted and kudzu requires

* Thu Oct 18 2007 Stewart Adam <s.adam AT diffingo DOT com> 0.02-1
- Update to version 0.02
- Drop X-Fedora from .desktop file
- Why do I define the fedora version and never use it?

* Mon Oct 1 2007 Stewart Adam <s.adam AT diffingo DOT com> 0.01.1-7
- Rebuild for redhat-artwork split

* Sat Sep 1 2007 Stewart Adam <s.adam AT diffingo DOT com> 0.01.1-6
- /still/ not working, perhaps I do need python as a BR

* Tue Aug 28 2007 Stewart Adam <s.adam AT diffingo DOT com> 0.01.1-5
- Rebuild because of bad file locations

* Mon Aug 13 2007 Stewart Adam <s.adam AT diffingo DOT com> 0.01.1-4
- Replace packaged .desktop with newer one that complies to standards
- Update license tag
- Drop X-Fedora category

* Sat Dec 9 2006 Stewart Adam <s.adam AT diffingo DOT com> 0.01.1-3
- 'make tag' problems, bumping...

* Sat Dec 9 2006 Stewart Adam <s.adam AT diffingo DOT com> 0.01.1-2
- Rebuild for new python

* Thu Nov 2 2006 Stewart Adam <s.adam AT diffingo DOT com> 0.01.1-1
- Update to 0.01.1

* Wed Nov 1 2006 Stewart Adam <s.adam AT diffingo DOT com> 0.01-3
- Bug fixes... Mount point comes before filesystem in /etc/fstab!

* Mon Oct 29 2006 Stewart Adam <s.adam AT diffingo DOT com> 0.01-2
- Fix error with comments in fstab
- Don't quit when there's an error parsing the fstab

* Sat Oct 28 2006 Stewart Adam <s.adam AT diffingo DOT com> 0.01-1
- Initial build

